> For the complete documentation index, see [llms.txt](https://docs.cleartax.in/cleartax-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cleartax.in/cleartax-docs/e-waybill-api/e-waybill-api-reference/e-waybill-json-api-reference/cancel-e-waybill.md).

# (Deprecated) Cancelling E-Waybill

{% hint style="danger" %}
This API is deprecated. Please use the [E-Waybill APIs from the unified set available here](/cleartax-docs/e-invoicing-api/introduction-to-e-invoicing-api.md).
{% endhint %}

The cancel E-Waybill API takes reference of generated E-Waybill through ClearTax and cancels the generated E-Waybill.

Using this API, Maximum of 5 E-Waybills can be cancelled per request.

E-Waybill can be cancelled by submitting a **PUT** request to the E-Waybill API with the following request headers.

{% hint style="warning" %}
**Note:**

1. E-way bills can be cancelled by the generator of such e-way bills only.
2. The time-limit to cancel is within 24 hours of generating the e-way bill.
3. Once canceled, it is illegal to use such E-Way Bill.
4. If the e-Way Bill verified by any empowered officer it **cannot be** canceled.
   {% endhint %}

#### URL query string

```
{{HOST}}/v0.1/taxable_entities/{{TAXABLE_ENTITY_ID}}/ewb_activity/CANCEL_EWB
```

#### Sample Payload

```
{
  "ewb_client_ids": [
    "E-Waybill ID"
  ], 
  "cancel_reason": "DUPLICATE", 
  "remark": "string"
}
```

#### Request Parameters:

| Parameters            | Parameter Type | Type   | Description                                                                                |
| --------------------- | -------------- | ------ | ------------------------------------------------------------------------------------------ |
| X-Cleartax-Auth-Token | Header         | String | Mandatory. The auth token generated from ClearTax user id and password.                    |
| taxable\_entity\_id   | Path           | String | Required. This is the unique ID associated with the GSTIN in your account.                 |
| ewb\_client\_ids      | Body           | List   | Required. List of unique IDs of E-Waybill on ClearTax.                                     |
| cancel\_reason        | Body           | Enum   | Required. Allowed enums include DUPLICATE, ORDER\_CANCELLED, DATA\_ENTRY\_MISTAKE, OTHERS. |
| remark                | Body           | String | Required. Remarks for cancellation.                                                        |

{% hint style="info" %}
Cancellation of E-Waybill depends on the business rules set by the Government.
{% endhint %}

#### Sample Response

{% code title="200" %}

```javascript
[
    {
        ...
        ...
        "ewb_number": "161001660902",
        "ewb_generated_date": "22-08-2019 12:01:00",
        "ewb_valid_from_date": "22-08-2019 12:01:00",
        "ewb_due_date": "23-08-2019 23:59:00",
        "ewb_govt_sync_status": "COMPLETE",
        "other_val": 0.00,
        "total_cess_non_advol_val": 0.00,
        "is_multi_vehicle": false,
        "ewb_status": "CANCELLED",
       ...
       ...
    }
]
```

{% endcode %}

{% hint style="info" %}
In case of any error the API will return status code 200 but the body will be blank.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-waybill-api/e-waybill-api-reference/e-waybill-json-api-reference/cancel-e-waybill.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
